diff options
author | Andrew Robbins <contact@andrewrobbins.info> | 2017-06-23 13:55:22 -0400 |
---|---|---|
committer | Andrew Robbins <contact@andrewrobbins.info> | 2017-06-23 13:55:22 -0400 |
commit | 4e50a92041c9f30deef1a32c995b9d5634cbed22 (patch) | |
tree | 889014b8974bb439a7a665ce991036ea5d41fd01 /projects/libreboot-sources/install | |
parent | bdb6c0e643f9d4b4ce3e0ceba113c04bd45d5116 (diff) | |
download | librebootfr-4e50a92041c9f30deef1a32c995b9d5634cbed22.tar.gz librebootfr-4e50a92041c9f30deef1a32c995b9d5634cbed22.zip |
Remove unnecessary 'env' invocation from printf.
This reverts part of pull request #217 which called the 'env'
binary for each printf invocation.
Diffstat (limited to 'projects/libreboot-sources/install')
-rwxr-xr-x | projects/libreboot-sources/install/libreboot-sources | 22 |
1 files changed, 11 insertions, 11 deletions
diff --git a/projects/libreboot-sources/install/libreboot-sources b/projects/libreboot-sources/install/libreboot-sources index 9d8536ef..e85d3c22 100755 --- a/projects/libreboot-sources/install/libreboot-sources +++ b/projects/libreboot-sources/install/libreboot-sources @@ -21,15 +21,15 @@ SOURCES="sources" TAR_XZ="tar.xz" usage() { - env printf '%s\n' "$executable [action] [sources path] (extract path)" >&2 + printf '%s\n' "$executable [action] [sources path] (extract path)" >&2 - env printf '\n%s\n' 'Actions:' >&2 - env printf '%s\n' ' extract - Extract build system sources' >&2 - env printf '%s\n' ' copy - Copy projects sources' >&2 - env printf '%s\n' ' prepare - Extract and copy sources' >&2 + printf '\n%s\n' 'Actions:' >&2 + printf '%s\n' ' extract - Extract build system sources' >&2 + printf '%s\n' ' copy - Copy projects sources' >&2 + printf '%s\n' ' prepare - Extract and copy sources' >&2 - env printf '\n%s\n' ' When no extract path is provided, sources are extracted in the current' - env printf '%s\n' ' directory.' + printf '\n%s\n' ' When no extract path is provided, sources are extracted in the current' + printf '%s\n' ' directory.' } extract() { @@ -49,14 +49,14 @@ extract() { archive=$( find $sources_path -name "$BUILD_SYSTEM-sources.$TAR_XZ" || true ) if [ -z "$archive" ] then - env printf '%s\n' "Finding $BUILD_SYSTEM sources archive failed!" >&2 + printf '%s\n' "Finding $BUILD_SYSTEM sources archive failed!" >&2 usage exit 1 fi tar -xf "$archive" -ps -C "$extract_path" - env printf '\n%s\n' "Extracted $BUILD_SYSTEM sources from $sources_path to $extract_path" + printf '\n%s\n' "Extracted $BUILD_SYSTEM sources from $sources_path to $extract_path" } copy() { @@ -83,7 +83,7 @@ copy() { cp "$file" "$build_system_sources_path" done - env printf '\n%s\n' "Copied $BUILD_SYSTEM sources from $sources_path to $extract_path" + printf '\n%s\n' "Copied $BUILD_SYSTEM sources from $sources_path to $extract_path" } requirements() { @@ -96,7 +96,7 @@ requirements() { if [ -z "$requirement_path" ] then - env printf '%s\n' "Missing requirement: $requirement" >&2 + printf '%s\n' "Missing requirement: $requirement" >&2 exit 1 fi done |